QGIS Application - Bug report #18873
XYZ Tile Server with custom CRS not working in 2.18 LTS
2018-04-28 03:41 PM - Bruce Steedman

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/XYZ

Affected QGIS version:3.4.4 Regression?: No
Operating System: Linux Ubuntu 18.04 LTS Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26705
Description

| have added the following URL pattern as an XYZ Tile Server connection:

http://dcw7.digimap.je/arcgis/rest/services/StatesOfJersey/JerseyAerialPhotoOL2014 500/MapServerttile/{z}/{y}/{x}.png

An example tile is at
http://dcw?.digimap.je/arcgis/rest/services/StatesOfJersey/JerseyAerialPhotoOL2014 500/MapServer/tile/0/268/331

When | add the layer no tiles are rendered on my map.

I have successfully added other tile layers, which work: e.g.
https://server.arcgisonline.com/ArcGIS/rest/services/World_Topo_Map/MapServer/tile/{z}/{y}/{x}.png

The Map Server | am trying to add uses a custom CRS: EPSG:3109 (which uses a custom map origin). | have this CRS set in my project
and on the fly projection enabled.

When added, the layer does not pick up the custom CRS, but instead uses EPSG:3857. Changing to the correct CRS in the added layer
does not resolve the problem.

I note that the Server specifies 9 zoom levels, with 0 scaled at 1:250,000.

Does 2.18 LTS support Tile Servers with custom CRS & scales and if not does QGIS 3 do so?

Steps to reproduce above and no known workaround.

Many thanks.

History

#1 - 2018-04-30 01:36 PM - Bruce Steedman

Related to #18881 re incorrect crs parsed from ESRI wkt on server.

Also, problem still exists in QGIS v3.02 on Ubuntu 18.04 LTS.

#2 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback

2024-03-20 12



http://dcw7.digimap.je/arcgis/rest/services/StatesOfJersey/JerseyAerialPhotoOL2014_500/MapServer/tile/{z}/{y}/{x}.png
http://dcw7.digimap.je/arcgis/rest/services/StatesOfJersey/JerseyAerialPhotoOL2014_500/MapServer/tile/0/268/331
https://server.arcgisonline.com/ArcGIS/rest/services/World_Topo_Map/MapServer/tile/{z}/{y}/{x}.png

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-21 12:34 PM - Bruce Steedman

- File xyz.png added

Thanks for looking at this Jirgen.

Just tried with 3.4.4 and the same result. Exactly the same steps as before & this time | set the zoom range to 0 to 9, as per the MapServer (see attached

image):

http://dcw7.digimap.je/arcgis/rest/services/StatesOfJersey/JerseyAerialPhotoOL2014_500/MapServer (note custom zoom level with 0 being 1:250,000)

However, when | look at the network requests QGIS is making | see requests like this:

GET http://dcw7.digimap.je/arcgis/rest/services/StatesOfJersey/JerseyAerialPhotoOL2014 500/MapServer/tile/15/16336/16425.png - i.e. a zoom level

outside of the 0-9 range.

Question: Can QGIS XYZ tile layers deal with custom zoom levels like this and/or is perhaps the root of the problem that the correct CRS (EPSG:3109) is
not being read/converted from the MapServer WKT under the 'Spatial Reference' key?

Many thanks

Bruce

#4 - 2019-01-21 01:38 PM - Jiirgen Fischer

- Affected QGIS version changed from 2.18.17 to 3.4.4

- Status changed from Feedback to Open
